﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating a Security System</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating a Security System</h1>
        <p>To create a security system, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to&#160;<strong>ADMIN &gt; Identity Repository &gt; Security Systems</strong>.<br />The&#160;<strong>Security System List&#160;</strong>page is displayed.</p>
            </li>
            <li>
                <p>On the <strong>Security System</strong> tab, click the <strong>Actions</strong> arrow, and then select <strong>Create Security System</strong>.<br />The&#160;<strong>Create New Security System</strong> page is displayed.</p>
            </li>
            <li>
                <p class="auto-cursor-target">Fill in the values for the&#160;<strong>Create New Security System</strong> parameters.&#160;The values for the parameters marked with a red asterisk (*) are mandatory.</p>
                <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                    <col style="width: 19.9584%;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 80.0416%;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">System Name <span style="color: rgb(255,0,0);">*</span></p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter a logical Security System name by which you can easily identify the security system. For example, the security system name can be given as AWS, Azure AD, AD, Oracle EBS, and so on.<br class="atl-forced-newline" />The System name is not displayed at other instances in the Saviynt UI. It is always the Display Name that is displayed in the Saviynt UI.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Display Name&#160;<span style="color: rgb(255,0,0);">*</span></p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter the Display Name, which you want to be seen and displayed in the Saviynt UI. The Display Name can be different from the System name given earlier. The Display Name is a mandatory field. The display name must be unique for the security systems. If at all there is an existing display name for example, 'SAP' specified for one of the security systems, you cannot specify the same display name 'SAP' for another security system in IGA from UI or through import. If there is an existing display name and you are still specifying the same display name for another security system, a message indicating that 'Display name already exists. Please enter different Display name' is displayed.</p>
                                <p class="table-text">For example, Display Name can be given as Active Directory, while System Name can be given as AD. In the Saviynt UI, when you are viewing the security system list and in all other UI instances, Active Directory name will appear as given in the Display name.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Create Task Action</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">This field allows the administrator to define creating tasks for both accounts and entitlements or only entitlements. The parameter provides you the following options:&#160;</p>
                                <ul>
                                    <li>
                                        <p class="table-text"><b>Select: </b>This is the default option, this option creates the tasks for both account and entitlements. If the entitlement request is rejected and the account is approved, the account is provisioned along with the task creation of the account. As entitlement is rejected, a task is created for entitlement but entitlement request is denied.</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><b>EntitlementsOnly: </b>Select this option to&#160;prevent creating a separate Create Account task, when creating an account and entitlement are requested together. </p>
                                        <ul>
                                            <li>
                                                <p class="table-text">If&#160;<b>EntitlementsOnly</b> is selected and the approver completes approving the account and entitlement, the task for entitlement is created after completing approval of account and entitlement. An account is created only after approval of the entitlement request. No task is created for the account.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">Use this option, to create a task for entitlements only and wait for the entitlement to get approved, and then create an account.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">Using this option also creates<strong> Add Access</strong> tasks for the entitlements that are&#160;available in <strong style="color: rgb(38,50,56);background-color: rgb(255,255,255);">Entitlements with New Account</strong> tab. (Available from Release v2020.1 onwards)</p>
                                            </li>
                                        </ul>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Port</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">The Port number parameter though provided in the UI is not used for the Security System.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Connection</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">After the connection for reconciliation is created, select the connection name in Security System for performing reconciliation of identity objects from a third-party application. Generally, the reconciliation connection is selected for authoritative systems from where you are performing reconciliation.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Provisioning Connection</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">It may happen that you are using a separate connection to an endpoint where you are performing provisioning or deprovisioning. Based on your requirements, you can select a separate connection where you want to perform provisioning and de-provisioning.&#160;</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Service Desk Connection</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">This is used for integration with a ticketing system, which can be a disconnected system too. For the ticketing system, you need to select the Service Desk Connection.&#160;</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Provisioning Comments</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter relevant comments for performing provisioning. You can specify System Name also in provisioning comments.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Policy Rule</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">For each security system, you can configure different types of password policy rules. Based on the password policy rule defined, the password entered should match the rules defined. Select the policy rule to be used by the security system.&#160;</td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Access Add Workflow</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the workflow to be used for approvals for an access request, which can be for an account, entitlements, role, and so on. <br class="atl-forced-newline" />It is an optional field, however, used for most of the on-premises and cloud applications. Because without a workflow the application name (endpoint tied to the security system) will not be displayed in Access Request System (ARS) after you select a user.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Access Remove Workflow</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the workflow to be used when access has to be revoked, which can be for an account, entitlement, or any other de-provisioning task. <br class="atl-forced-newline" />It is an optional field, however, used for most of the on-premises and cloud applications. Because without a workflow the application name (endpoint tied to the security system) will not be displayed in Access Request System (ARS) after you select a user.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Add Service Account Workflow</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the workflow to be used for approvals for an add service account request and assigning entitlements for the respective service account. <br class="atl-forced-newline" />Ensure you specify the workflow in the security system (which has third-party applications having service accounts) because without a workflow the service account application name (endpoint tied to the security system with service account) will not be displayed in <strong>ARS &gt; Request Home &gt; Manage Service Account</strong>.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Remove Service Account Workflow</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the workflow to be used for removing a service account request and removing entitlements for the respective service account. <br class="atl-forced-newline" />Ensure you specify the workflow in the security system (which has third-party applications having service accounts) because without a workflow the service account application name (endpoint tied to the security system with service account) will not be displayed in <strong>ARS &gt; Request Home &gt; Manage Service Account</strong>.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Proposed Accounts Workflow</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Proposed Accounts Workflow is used specifically for accounts, which do not have any account owners defined. For approval purposes, you need to assign an account owner. For accounts without any account owners, you need to select the Proposed Accounts Workflow. An account owner is assigned through the Proposed Accounts Workflow for accounts without any owner.&#160;</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Emergency Access ID Request Workflow</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Used to select the Emergency Access ID request workflow, which will be used for approving the request for a stipulated time-frame for the respective Emergency Access ID.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Emergency Access ID&#160;Access Request Workflow</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Used to select the Emergency Access ID Access request workflow, which will be used for approving request for Emergency Acess ID Access Request, which is actually a larger time frame for allocating access to the respective Emergency Access ID. From this larger scheduled time-frame, Emergency Access Id Request can be made within the stipulated time.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Number of tries for provisioning</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Used to specify the number of tries to be used for performing provisioning / de-provisioning to the third party application. Tasks, after the number of times executed are moved to completed tasks with status as 8.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Default System</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">The identity repository data view is controlled through the default system. By default, the system will only show repository data associated with the default system.</p>
                                <p class="table-text">For example, if IGA is connected to 100 other applications, you can select AD for example as the default system. When you search for an account, only the accounts pertaining to AD will be searched and displayed in this example. Provide your suggestive action type.</p>
                                <p class="table-text">The following options are available to select:</p>
                                <ul>
                                    <li>
                                        <p class="table-text"><strong>Yes: </strong>Enables you to set the security system as the Default System. Following which accounts search will only be searched and displayed for this security system.</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>No:</strong> Select No, if you do not want the security system to act as the Default system. Searching for accounts by setting security system not as Default, will not display the accounts related to the respective applications.</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Automated Provisioning</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">This option distinguishes between a connected or disconnected system. If you want the provisioning to be done automatically, it means you have a connected system. <br class="atl-forced-newline" />If you do not want automated provisioning to be done then it means it is a disconnected system. <br class="atl-forced-newline" />Following are the options to select:</p>
                                <ul>
                                    <li>
                                        <p class="table-text"><strong>Yes:</strong> Enables automated provisioning</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>No: </strong>Disables automated provisioning</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Provisioning Threshold</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">The provisioning threshold is a value set on the application level to restrict processing tasks if the number of tasks exceeds the configured provisioning threshold. The default value set is 5000 for any type of task in Provisioning Threshold. </p>
                                <p class="table-text">To add the provisioning threshold value, perform the following steps:</p>
                                <ol>
                                    <li>
                                        <p class="table-text"> Click <strong>Add button</strong>. The&#160;<strong>Add Provisioning Threshold&#160;</strong>window appears. </p>
                                    </li>
                                    <li>
                                        <p class="table-text">Select&#160;<strong>Task Type</strong> for which you want to set the provisioning threshold. </p>
                                    </li>
                                    <li>
                                        <p class="table-text">Select your desired Provisioning Threshold. <br />You can also set the provisioning threshold for multiple task types using icon. </p>
                                    </li>
                                    <li>
                                        <p class="table-text">Click <strong>Save</strong>. </p>
                                    </li>
                                </ol>
                                <p class="table-text">For example, when Provisioning Job (WSRetry Job) executes and if the number of remove access tasks is greater than the provisioning threshold set at the application level, then job skips to process the remove access tasks for this specific application.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Use Open Connector</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">This option is used to enable or disable the connectivity with any system over the open-source connectors such as REST. <br class="atl-forced-newline" />The following options are available to select:</p>
                                <ul>
                                    <li>
                                        <p class="table-text"><strong>Yes: </strong>Click <strong>Yes</strong> to enable REST connectivity to other systems.</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>No: </strong>Click <strong>No</strong> to disable REST connectivity to other systems.</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Recon Application</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">The Recon application configuration is used to set if you are importing data from respective endpoints associated with the security system or not. <br class="atl-forced-newline" />Following are the options to select:</p>
                                <ul>
                                    <li>
                                        <p class="table-text"><strong>Yes: </strong>Click <strong>Yes</strong>, if you want to import data.</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>No: </strong>Click <strong>No</strong>, if you do not want to import data.</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text">Instant Provisioning</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p class="table-text">When you enable instant provisioning in IGA, it is not required to run the <strong style="text-decoration: none;text-align: left;">WSRETRY job</strong> or manually provision the request to complete the tasks. You can select the task types that need to be provisioned using instant provisioning configuration and IGA provisions them accordingly.</p>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">For Example, if a user requests a change password from ARS and if&#160;INSTANTPROVISION&#160; is set as 1 for the respective&#160;SECURITYSYSTEM, the user's password is instantly changed and a user can start using the new password instantly.</p>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
            <li>
                <p>Click <strong>Create</strong>.</p>
            </li>
        </ol>
        <p><strong>Troubleshooting</strong>
        </p>
        <p>IGA provides a <a href="https://s3.amazonaws.com/cdn.freshdesk.com/data/helpdesk/attachments/production/43198557680/original/Error while creating Security System.mp4?response-content-type=video%2Fmp4&amp;X-Amz-Algorithm=AWS4-HMAC-SHA256&amp;X-Amz-Credential=AKIAS6FNSMY2XLZULJPI%2F20220127%2Fus-east-1%2Fs3%2Faws4_request&amp;X-Amz-Date=20220127T195233Z&amp;X-Amz-Expires=300&amp;X-Amz-SignedHeaders=host&amp;X-Amz-Signature=60456942debaad9994b97dd920f63d8a762fd4c9813a7528122fc2a61855d55a">Troubleshooting Video</a> containing troubleshooting steps. If an error occurs while creating a security system, see this video to get more information.</p>
    </body>
</html>